<?php
/*-------------------------------------------------------+
| PHPFusion Content Management System
| Copyright (C) PHP Fusion Inc
| https://phpfusion.com/
+--------------------------------------------------------+
| Filename: infusion_db.php
| Author: karrak
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
defined( 'IN_FUSION' ) || exit;

// Admin Settings
// Locales
define( 'FHQUOTES_LOCALE', fusion_get_inf_locale_path( 'quotes.php', INFUSIONS . 'fh_quotes_panel/locale/' ) );

// Database
// Paths
const QUOTES_PATH = INFUSIONS . 'fh_quotes_panel/';

function fh_quotes_module($modultype = []) {
    $modultype += [
        'paneltype'   => 0,
        'authorcolor' => "#51cf66;"
    ];

    $quote = fusion_get_locale( '', FHQUOTES_LOCALE );
    if ( is_array( $quote['QUOTES'] ) && !empty( $quote['QUOTES'] ) ) {
        $randquotes = mt_rand( 0, count( $quote['QUOTES'] ) - 1 );
        $quotesDat = $quote['QUOTES'][$randquotes];
        $catname = $quote['QUOTESCAT'][$quotesDat['category']]." - ".$quote['QUOT'];
        $context = [
            'paneltype' => $modultype['paneltype'],
            'panelname' => $catname,
            'quotes'    => parse_textarea($quotesDat['quotes'], TRUE, TRUE, TRUE, NULL, TRUE),
            'author'    => $quotesDat['author'] ? "<p style='color: ".$modultype['authorcolor']."' id='fhquotes'>".$quotesDat['author']."</p>" : ''
        ];
        return $context;
    }
}
fusion_add_hook( 'quotes_modules', 'fh_quotes_module' );
